[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#593235: flash-kernel-installer: Please add gta02 support



* Thibaut GIRKA <thib@sitedethib.com> [2010-08-16 16:15]:
> -XB-Subarchitecture: iop32x ixp4xx kirkwood orion5x
> +XB-Subarchitecture: iop32x ixp4xx kirkwood orion5x s3c24xx

Is s3c24xx what was decided in the end?  I remember there was a lot of
discussion of s3c vs s3c24xx but I cannot remember the outcome.

> +		"GTA02")
> +			return 1

Is this really what this device will be called in the mainline kernel?
IMHO it would make more sense to use a more descriptive name, but if
GTA02 has been decided already that's obviously fine.

> +	"GTA02")
> +		in-target update-initramfs -u || true
> +		if ! apt-install uboot-mkimage; then
> +			error "apt-install uboot-mkimage failed"
> +		fi
> +		if ! apt-install uboot-envtools; then
> +			error "apt-install uboot-envtools failed"
> +		fi

Ok.

> +		# Modify u-boot environment
> +		rootfs=$(findfs /)
> +		bootfs=$(findfs /boot)
> +		modify_uboot_env $rootfs $bootfs
> +	;;

I suggest you move this patch out to the patch in #586221.  This way,
the current patch can be applied even without the fix for #586221.

> +		check_subarch "s3c24xx"
> +		tmp="$(tempfile)"
> +		printf "Generating u-boot image..." >&2
> +		gzip -9 -c "$kfile" > "$tmp"

Why do you need to compress the kernel?  It should be a zImage or
LZMA-image already anywhere.

> +		mkimage -A arm -O linux -T multi -C gzip -a 0x30008000 \
> +			-e 0x30008000 -n "$desc" -d "$tmp":"$ifile" "$tmp.uboot" >&2 1>/dev/null
> +		echo "done." >&2

Will this actually boot on any Freerunner machines without the -p
option you proposed in #584166?

-- 
Martin Michlmayr
http://www.cyrius.com/



Reply to: